using System;

namespace FactorsNamespace 
{
	/// <summary>
	/// Information abount FutureFactors
	/// </summary>
	public class FactorType
	{
		//!! TODO: refactor this to using of private fields and properties
		public String pubName;
		public Type typeOfFutureClass;
		public Type typeOfControl;
		public FactorType(String publicName, Type futureClass, Type controlClass)
		{
			this.pubName = publicName;
			this.typeOfFutureClass = futureClass;
			this.typeOfControl = controlClass;
		}

		public override string ToString()
		{
			return pubName;
		}
	}
}